org.omg.CORBA

## Interface Policy

All Superinterfaces:
  IDLEntity, Object, PolicyOperations, Serializable

All Known Subinterfaces:
  IdAssignmentPolicy, IdUniquenessPolicy, ImplicitActivationPolicy, LifespanPolicy, RequestProcessingPolicy, ServantRetentionPolicy, ThreadPolicy

All Known Implementing Classes:
  _PolicyStub

    public interface Policy
    extends PolicyOperations, Object, IDLEntity

Interfaces derived from the `Policy` interface allow an ORB or CORBA service access to certain choices that affect its operation. This information is accessed in a structured manner using interfaces derived from the `Policy` interface defined in the CORBA module. A CORBA service does not have to use this method of accessing operating options, but may choose to do so. The Security Service in particular uses this technique for associating Security Policy with objects in the system. An interface generated by the IDL-to-Java compiler. org/omg/CORBA/Policy.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl Saturday, July 17, 1999 12:26:20 AM PDT

### Method Summary

### Methods inherited from interface org.omg.CORBA.PolicyOperations

`copy, destroy, policy_type`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.